Public Member Functions | Data Fields

# ICU_FONTINSTANCE Class Reference

Container with information about a font. More...

`#include <gfx_layout.h>`

## Public Member Functions
| Font (FontSize size, TextColour colour)
le_int32 | getUnitsPerEM () const
le_int32 | getAscent () const
le_int32 | getDescent () const
le_int32 | getLeading () const
float | getXPixelsPerEm () const
float | getYPixelsPerEm () const
float | getScaleFactorX () const
float | getScaleFactorY () const
const void * | getFontTable (LETag tableTag) const
const void * | getFontTable (LETag tableTag, size_t &length) const
LEGlyphID | mapCharToGlyph (LEUnicode32 ch) const
void | getGlyphAdvance (LEGlyphID glyph, LEPoint &advance) const
le_bool | getGlyphPoint (LEGlyphID glyph, le_int32 pointNumber, LEPoint &point) const
## Data Fields
FontCache * | fc
| The font we are using.
TextColour | colour
| The colour this font has to be.

## Detailed Description

Container with information about a font.

Definition at line 29 of file gfx_layout.h.

The documentation for this class was generated from the following file:

- src/gfx_layout.h